Project

General

Profile

Bug #77377

When installing a jail or a plugin right after it tells me "Release 11.2-RELEASE missing" and when it tried to download I get "I/O opperation on closed file" error message

Added by Bonnie Follweiler over 1 year ago. Updated over 1 year ago.

Status:
Done
Priority:
No priority
Assignee:
Brandon Schneider
Category:
Middleware
Seen in:
Severity:
New
Reason for Closing:
Reason for Blocked:
Needs QA:
No
Needs Doc:
No
Needs Merging:
No
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No

Description

I am trying to install a plugin or a jail on a FreeNAS MiniXL running FreeNAS-11.2-U2
I didn't have any plugins or jails installed
I get the message ""Release 11.2-RELEASE missing. I will attempt to fetch it" followed shortly by an error message "I/O opperation on closed file" and it doesn't install
Jeff has the 11.2-RELEASE file and he can install jails and plugins


Related issues

Copied to FreeNAS - Bug #77701: Ensure iocage does not treat stdout being closed as a ttyDone

History

#1 Updated by Bonnie Follweiler over 1 year ago

56290

#2 Updated by Dru Lavigne over 1 year ago

  • Category changed from Plugins to Middleware
  • Assignee changed from Dru Lavigne to William Grzybowski
  • Private changed from No to Yes

#4 Updated by William Grzybowski over 1 year ago

  • Assignee changed from William Grzybowski to Brandon Schneider
  • Target version changed from Backlog to 11.2-U3

#5 Updated by Bonnie Follweiler over 1 year ago

The following is from the error message I/O operation on a closed file:
Error: concurrent.futures.process._RemoteTraceback:
"""
Traceback (most recent call last):
File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in process_worker
r = call_item.fn(*call_item.args, **call_item.kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 128, in main_worker
res = loop.run_until_complete(coro)
File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
return future.result()
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 88, in _run
return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 81, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 81, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 134, in create_job
self.check_jail_existence(uuid, skip=False)
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 344, in check_jail_existence
jail, path = iocage.
_check_jail_existence__()
File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 329, in check_jail_existence
silent=self.silent)
File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 90, in logit
_callback(content, exception)
File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 63, in callback
if not os.isatty(sys.stdout.fileno()):
ValueError: I/O operation on closed file
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 332, in run
await self.future
File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 356, in _run_body
rv = await self.middleware._call_worker(self.serviceobj, self.method_name, *self.args, job={'id': self.id})
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1105, in _call_worker
job,
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1036, in run_in_proc
return await self.run_in_executor(self.
_procpool, method, *args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1021, in run_in_executor
return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
ValueError: I/O operation on closed file

#7 Updated by Jeff Ervin over 1 year ago

56361

In FreeNAS-11.3-MASTER-201902261014 tried to install a plugin using default settings, and received the error contained in the attached screenshot.

#8 Updated by Brandon Schneider over 1 year ago

  • Status changed from Unscreened to In Progress

#16 Updated by Bug Clerk over 1 year ago

  • Status changed from In Progress to Ready for Testing

#17 Updated by Bug Clerk over 1 year ago

  • Copied to Bug #77701: Ensure iocage does not treat stdout being closed as a tty added

#18 Updated by Dru Lavigne over 1 year ago

  • File deleted (debug-fn07-20190226111247.tgz)

#19 Updated by Dru Lavigne over 1 year ago

  • Status changed from Ready for Testing to Done
  • Target version changed from 11.2-U3 to Master - FreeNAS Nightlies
  • Private changed from Yes to No
  • Needs QA changed from Yes to No
  • Needs Doc changed from Yes to No
  • Needs Merging changed from Yes to No

Also available in: Atom PDF